<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>AdditionalResources/Repositories/CentOSPlus/CentOSWebStack</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">AdditionalResources/Repositories/CentOSPlus/CentOSWebStack</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><p class="line867">
<h1 id="CentOS_Web_Stack">CentOS Web Stack</h1>
<span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><div><table><tbody><tr>  <td style="background-color: #ff0000"><p class="line862"> Note: CentOS-4 reached the End-of-Life and is no longer supported. </td>
</tr>
</tbody></table></div><span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><div><table><tbody><tr>  <td class="lmimg blue" style="padding:0"><p class="line862"> <img alt="ArtWork/WikiDesign/icon-admonition-info.png" class="attachment" src="attachments/ArtWork(2f)WikiDesign/icon-admonition-info.png" title="ArtWork/WikiDesign/icon-admonition-info.png" /> </td>
  <td class="lmtxt blue" colspan="2" style="padding:0; text-align: left"><p class="line862"> The CentOS webstack is for CentOS-4 only. </td>
</tr>
</tbody></table></div><span class="anchor" id="line-7"></span><span class="anchor" id="line-8"></span><div><table><tbody><tr>  <td class="lmimg orange" style="padding:0"><p class="line862"> <img alt="ArtWork/WikiDesign/icon-admonition-attention.png" class="attachment" src="attachments/ArtWork(2f)WikiDesign/icon-admonition-attention.png" title="ArtWork/WikiDesign/icon-admonition-attention.png" /> </td>
  <td class="lmtxt orange" colspan="2" style="padding:0; text-align: left"><p class="line862"> Prior to starting, ensure you understand <a href="./PackageManagement(2f)Yum.html">yum</a> (and yum plugins, specifically the <a href="./PackageManagement(2f)Yum(2f)Priorities.html">yum priorities plugin</a>), and <a href="./AdditionalResources(2f)Repositories.html">CentOS Repositories</a> (specifically, the <a href="./AdditionalResources(2f)Repositories(2f)CentOSPlus.html">CentOSPlus Repository</a>). </td>
</tr>
</tbody></table></div><span class="anchor" id="line-9"></span><span class="anchor" id="line-10"></span><p class="line862">The <strong>CentOS Web Stack</strong> is a combination of packages that are issued for an updated <strong>LAMP</strong> (<strong>L</strong>inux, <strong>A</strong>pache, <strong>M</strong>ySQL, <strong>P</strong>HP) server solution  (there are also other components, including postgresql and perl). <span class="anchor" id="line-11"></span><span class="anchor" id="line-12"></span><p class="line874">This stack currently contains the following packges (versions may get newer, package names should remain constant): <span class="anchor" id="line-13"></span><span class="anchor" id="line-14"></span><p class="line874">{{{httpd-2.0.59-1.el4s1.5.el4.centos.i386.rpm <span class="anchor" id="line-15"></span>httpd-devel-2.0.59-1.el4s1.5.el4.centos.i386.rpm <span class="anchor" id="line-16"></span>httpd-manual-2.0.59-1.el4s1.5.el4.centos.i386.rpm <span class="anchor" id="line-17"></span>mod_auth_mysql-3.0.0-2.el4s1.3.i386.rpm <span class="anchor" id="line-18"></span>mod_auth_pgsql-2.0.3-2.el4s1.2.i386.rpm <span class="anchor" id="line-19"></span>mod_perl-2.0.3-1.el4s1.1.i386.rpm <span class="anchor" id="line-20"></span>mod_perl-devel-2.0.3-1.el4s1.1.i386.rpm <span class="anchor" id="line-21"></span>mod_ssl-2.0.59-1.el4s1.5.el4.centos.i386.rpm <span class="anchor" id="line-22"></span>mysql-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-23"></span>mysql-bench-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-24"></span>mysqlclient10-3.23.58-9.2.c4.i386.rpm <span class="anchor" id="line-25"></span>mysqlclient10-devel-3.23.58-9.2.c4.i386.rpm <span class="anchor" id="line-26"></span>mysqlclient14-4.1.22-1.el4s1.1.i386.rpm <span class="anchor" id="line-27"></span>mysqlclient14-devel-4.1.22-1.el4s1.1.i386.rpm <span class="anchor" id="line-28"></span>mysql-connector-odbc-3.51.12-2.el4s1.3.i386.rpm <span class="anchor" id="line-29"></span>mysql-devel-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-30"></span>MySQL-python-1.2.1_p2-1.el4s1.1.i386.rpm <span class="anchor" id="line-31"></span>mysql-server-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-32"></span>mysql-test-5.0.27-1.el4.centos.i386.rpm <span class="anchor" id="line-33"></span>perl-5.8.8-4.el4s1.i386.rpm <span class="anchor" id="line-34"></span>perl-DBD-MySQL-3.0008-1.el4.centos.i386.rpm <span class="anchor" id="line-35"></span>perl-DBD-Pg-1.49-1.el4s1.i386.rpm <span class="anchor" id="line-36"></span>perl-DBI-1.53-2.el4s1.i386.rpm <span class="anchor" id="line-37"></span>perl-suidperl-5.8.8-4.el4s1.i386.rpm <span class="anchor" id="line-38"></span>php-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-39"></span>php-bcmath-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-40"></span>php-cli-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-41"></span>php-common-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-42"></span>php-dba-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-43"></span>php-dbase-5.1.6-1.el4.centos.i386.rpm <span class="anchor" id="line-44"></span>php-devel-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-45"></span>php-eaccelerator-5.1.6_0.9.5-1.el4.centos.i386.rpm <span class="anchor" id="line-46"></span>php-gd-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-47"></span>php-imap-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-48"></span>php-ldap-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-49"></span>php-mbstring-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-50"></span>php-mcrypt-5.1.6-1.el4.centos.i386.rpm <span class="anchor" id="line-51"></span>php-mhash-5.1.6-1.el4.centos.i386.rpm <span class="anchor" id="line-52"></span>php-mysql-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-53"></span>php-ncurses-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-54"></span>php-odbc-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-55"></span>php-pdo-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-56"></span>php-pear-1.4.11-1.el4s1.1.noarch.rpm <span class="anchor" id="line-57"></span>php-pgsql-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-58"></span>php-snmp-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-59"></span>php-soap-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-60"></span>php-xml-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-61"></span>php-xmlrpc-5.1.6-3.el4s1.5.i386.rpm <span class="anchor" id="line-62"></span>postgresql-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-63"></span>postgresqlclient7-7.4.14-1.el4s1.1.el4.centos.i386.rpm <span class="anchor" id="line-64"></span>postgresql-contrib-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-65"></span>postgresql-devel-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-66"></span>postgresql-docs-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-67"></span>postgresql-libs-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-68"></span>postgresql-odbc-08.01.0200-2.el4s1.3.i386.rpm <span class="anchor" id="line-69"></span>postgresql-pl-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-70"></span>postgresql-python-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-71"></span>postgresql-server-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-72"></span>postgresql-tcl-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-73"></span>postgresql-test-8.1.8-1.el4s1.1.i386.rpm <span class="anchor" id="line-74"></span>unixODBC-2.2.12-1.el4s1.1.i386.rpm <span class="anchor" id="line-75"></span>unixODBC-devel-2.2.12-1.el4s1.1.i386.rpm <span class="anchor" id="line-76"></span>unixODBC-kde-2.2.12-1.el4s1.1.i386.rpm <span class="anchor" id="line-77"></span>}}} <span class="anchor" id="line-78"></span><span class="anchor" id="line-79"></span><p class="line862">The <strong>CentOS Web Stack</strong> is part of the <a href="./AdditionalResources(2f)Repositories(2f)CentOSPlus.html">CentOSPlus Repository</a>. <span class="anchor" id="line-80"></span><span class="anchor" id="line-81"></span><p class="line862">The best way to get the <strong>CentOS Web Stack</strong> is to use the <a href="./PackageManagement(2f)Yum(2f)Priorities.html">yum priorities plugin</a>.  After installation, you should use the following extra settings to enable the stack. <span class="anchor" id="line-82"></span><span class="anchor" id="line-83"></span><p class="line862">In <strong>/etc/yum.repso.d/CentOS-Base.repo</strong> <span class="anchor" id="line-84"></span><span class="anchor" id="line-85"></span><p class="line874">{{{[base] <span class="anchor" id="line-86"></span>exclude=php* httpd* postgres* MySQL* mysql* perl perl-DBD-MySQL perl-DBD-Pg perl-DBI perl-suidperl unixODBC* mod_auth_mysql mod_auth_pgsql mod_perl mod_perl-devel mod_ssl <span class="anchor" id="line-87"></span>priority=1 <span class="anchor" id="line-88"></span><span class="anchor" id="line-89"></span><p class="line874">[update] <span class="anchor" id="line-90"></span>exclude=php* httpd* postgres* MySQL* mysql* perl perl-DBD-MySQL perl-DBD-Pg perl-DBI perl-suidperl unixODBC* mod_auth_mysql mod_auth_pgsql mod_perl mod_perl-devel mod_ssl <span class="anchor" id="line-91"></span>priority=1 <span class="anchor" id="line-92"></span><span class="anchor" id="line-93"></span><p class="line874">[centosplus] <span class="anchor" id="line-94"></span>enable=1 <span class="anchor" id="line-95"></span>priority=2 <span class="anchor" id="line-96"></span>}}} <span class="anchor" id="line-97"></span><span class="anchor" id="line-98"></span><p class="line862">The above are just additions / changes to the base <strong>CentOS-Base.repo</strong> file.  What this does is set <strong>[centosplus]</strong> repository with a Priority of 2 and <strong>[base]</strong> and <strong>[update]</strong> repositories with a Priority of 1.  That means that <strong>[centosplus]</strong> can not replace packages in the <strong>[base]</strong> or <strong>[update]</strong> repositories. <span class="anchor" id="line-99"></span><span class="anchor" id="line-100"></span><p class="line862">The addition of the <strong>exclude=</strong> line will exclude all those files from <strong>[base]</strong> and <strong>[update]</strong> repositories, allowing them to be updated elsewhere (in this case from the <strong>[centosplus]</strong> repository). <span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><p class="line862">As part of the setup of <a href="./PackageManagement(2f)Yum(2f)Priorities.html">yum priorities plugin</a>, you need to set up all .repo files with priorities from 1-99. <span class="anchor" id="line-103"></span><span class="anchor" id="line-104"></span><p class="line874">The recommended settings are: <span class="anchor" id="line-105"></span>{{{[base], [addons], [update], [extras] ... priority=1 <span class="anchor" id="line-106"></span><span class="anchor" id="line-107"></span><p class="line874">[centosplus],[contrib] ... priority=2 <span class="anchor" id="line-108"></span><span class="anchor" id="line-109"></span><p class="line862">Third Party Repos ... priority=N  (where N is &gt; 10 and based on your preference) <span class="anchor" id="line-110"></span>}}} <span class="anchor" id="line-111"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:19
</body>
</html>
